Bug 600717 - Evolution hangs for 10-30s from time to time during file operations, editing. (Stack supplied)
Evolution hangs for 10-30s from time to time during file operations, editing....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-05 14:16 EDT by Gilboa Davara
Modified: 2011-06-27 13:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:34:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GDB dump of evolution hang (w/ debuginfo) (8.46 KB, text/plain)
2010-06-23 00:47 EDT, Gilboa Davara
no flags Details

  None (edit)
Description Gilboa Davara 2010-06-05 14:16:11 EDT
Since I upgrade to F13 I'm getting intermittent evolution hangs while composing emails or while navigating folders.
During hand, evolution does not respond to keyboard to mouse commands.
After 10-30s everything returns to normal.

Version:
evolution-2.30.1-6.fc13.x86_64

Call stack (mid-hang):
$ pstack $(pgrep evolution)
Thread 12 (Thread 0x7f12b754a710 (LWP 21307)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 11 (Thread 0x7f12b6b49710 (LWP 21310)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dda in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 10 (Thread 0x7f12ae87a710 (LWP 21327)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 9 (Thread 0x7f12957b0710 (LWP 21328)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 8 (Thread 0x7f126ffff710 (LWP 10592)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 7 (Thread 0x7f127e092710 (LWP 10610)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 6 (Thread 0x7f127ca6f710 (LWP 10611)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 5 (Thread 0x7f127fdfc710 (LWP 10612)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 4 (Thread 0x7f1294daf710 (LWP 10613)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 3 (Thread 0x7f126f5fe710 (LWP 10614)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 2 (Thread 0x7f126ebfd710 (LWP 10615)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f16171f7 in g_async_queue_timed_pop () from /lib64/libglib-2.0.so.0
#4  0x00000036f1666cba in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#6  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#7  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 1 (Thread 0x7f12bfb0c940 (LWP 21300)):
#0  0x00000036fc206aa8 in g_object_ref@plt () from /usr/lib64/libpangoft2-1.0.so.0
#1  0x00000036fc20b940 in pango_fc_font_map_load_fontset () from /usr/lib64/libpangoft2-1.0.so.0
#2  0x00000036fbe19393 in itemize_state_process_run () from /usr/lib64/libpango-1.0.so.0
#3  0x00000036fbe19a08 in pango_itemize_with_base_dir () from /usr/lib64/libpango-1.0.so.0
#4  0x00000036fbe218f9 in pango_layout_check_lines () from /usr/lib64/libpango-1.0.so.0
#5  0x00000036fbe22c69 in pango_layout_get_extents_internal () from /usr/lib64/libpango-1.0.so.0
#6  0x00000036fbe2480e in pango_layout_get_pixel_extents () from /usr/lib64/libpango-1.0.so.0
#7  0x00000036fa6a149f in get_size () from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x00000036fa6a1aaf in gtk_cell_renderer_text_get_size () from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x00000036fa6a4243 in gtk_cell_view_size_request () from /usr/lib64/libgtk-x11-2.0.so.0
#10 0x00000036fa6a4381 in gtk_cell_view_get_size_of_row () from /usr/lib64/libgtk-x11-2.0.so.0
#11 0x00000036fa6b1642 in gtk_combo_box_calc_requested_width () from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x00000036fa6b3868 in gtk_combo_box_model_row_changed () from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#14 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#15 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#16 0x00000036f2a213a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#17 0x00000036fa842124 in gtk_tree_model_filter_row_changed () from /usr/lib64/libgtk-x11-2.0.so.0
#18 0x00000036fa8422d9 in gtk_tree_model_filter_refilter_helper () from /usr/lib64/libgtk-x11-2.0.so.0
#19 0x00000036fa83e52f in gtk_tree_model_foreach_helper () from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x00000036fa83ee5b in gtk_tree_model_foreach () from /usr/lib64/libgtk-x11-2.0.so.0
#21 0x00000036fa6e2ae5 in fs_volumes_changed_cb () from /usr/lib64/libgtk-x11-2.0.so.0
#22 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#23 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#24 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#25 0x00000036f2a213a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#26 0x00000036fa6fd12e in volumes_changed () from /usr/lib64/libgtk-x11-2.0.so.0
#27 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#28 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#29 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#30 0x00000036f2a21138 in g_signal_emit_by_name () from /lib64/libgobject-2.0.so.0
#31 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#32 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#33 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#34 0x00000036f2a21138 in g_signal_emit_by_name () from /lib64/libgobject-2.0.so.0
#35 0x00007f12ad5dc24b in ?? () from /usr/lib64/gio/modules/libgioremote-volume-monitor.so
#36 0x00000036f163bd02 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#37 0x00000036f163fae8 in g_main_context_iterate () from /lib64/libglib-2.0.so.0
#38 0x00000036f163fff5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#39 0x00000036fa7493c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#40 0x0000000000402654 in main ()
Comment 1 Gilboa Davara 2010-06-05 14:18:16 EDT
P.S. I'm using pop3 email + local folders. It's not a networking issue.
Comment 2 Matthew Barnes 2010-06-05 15:41:14 EDT
That's strange, it looks like it's stuck somewhere deep in either Pango or GTK+ (Thread 1).

Doesn't look like an Evolution bug from what I can tell.  Reassigning to gtk2 for lack of a better idea.

In the meantime can you run "debuginfo-install gtk2" and see if you can capture another stack trace?
Comment 3 Gilboa Davara 2010-06-05 18:28:53 EDT
Installing gtk debuginfo as I write this.
I'll try and reproduce it tomorrow.

- Gilboa
Comment 4 Gilboa Davara 2010-06-08 05:42:35 EDT
$ pstack $(pgrep evolution)
Thread 6 (Thread 0x7fa4a073e710 (LWP 10422)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 5 (Thread 0x7fa49fd3d710 (LWP 10423)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dda in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 4 (Thread 0x7fa479408710 (LWP 10454)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 3 (Thread 0x7fa46a891710 (LWP 10455)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 2 (Thread 0x7fa47a80a710 (LWP 7595)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f16171f7 in g_async_queue_timed_pop () from /lib64/libglib-2.0.so.0
#4  0x00000036f1666cba in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#6  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#7  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 1 (Thread 0x7fa4a8d00940 (LWP 10415)):
#0  0x00000036ef278583 in _int_malloc () from /lib64/libc.so.6
#1  0x00000036ef279b0d in malloc () from /lib64/libc.so.6
#2  0x00000036f1644ae3 in g_malloc () from /lib64/libglib-2.0.so.0
#3  0x00007fa47aea5574 in ?? () from /usr/lib64/librsvg-2.so.2
#4  0x00007fa47aebc3b1 in ?? () from /usr/lib64/librsvg-2.so.2
#5  0x00007fa47aeb821a in ?? () from /usr/lib64/librsvg-2.so.2
#6  0x00007fa47aec09bf in ?? () from /usr/lib64/librsvg-2.so.2
#7  0x00000036f9242741 in xmlParseCharData () from /usr/lib64/libxml2.so.2
#8  0x00000036f924c957 in xmlParseTryOrFinish () from /usr/lib64/libxml2.so.2
#9  0x00000036f924d008 in xmlParseChunk () from /usr/lib64/libxml2.so.2
#10 0x00007fa47aebfa92 in ?? () from /usr/lib64/librsvg-2.so.2
#11 0x00007fa47b0d0d71 in ?? () from /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
#12 0x00000036f960c3cf in gdk_pixbuf_loader_write () from /usr/lib64/libgdk_pixbuf-2.0.so.0
#13 0x00000036f960ac7f in load_from_stream () from /usr/lib64/libgdk_pixbuf-2.0.so.0
#14 0x00000036f960ade1 in gdk_pixbuf_new_from_stream_at_scale () from /usr/lib64/libgdk_pixbuf-2.0.so.0
#15 0x00000036fa715107 in icon_info_ensure_scale_and_pixbuf () from /usr/lib64/libgtk-x11-2.0.so.0
#16 0x00000036fa714dad in apply_emblems () from /usr/lib64/libgtk-x11-2.0.so.0
#17 0x00000036fa715035 in icon_info_ensure_scale_and_pixbuf () from /usr/lib64/libgtk-x11-2.0.so.0
#18 0x00000036fa7158b2 in gtk_icon_info_load_icon () from /usr/lib64/libgtk-x11-2.0.so.0
#19 0x00000036fa6fa47d in get_pixbuf_from_gicon () from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x00000036fa6fa7bc in _gtk_file_system_volume_render_icon () from /usr/lib64/libgtk-x11-2.0.so.0
#21 0x00000036fa6e291e in model_add_volumes () from /usr/lib64/libgtk-x11-2.0.so.0
#22 0x00000036fa6e2ac4 in fs_volumes_changed_cb () from /usr/lib64/libgtk-x11-2.0.so.0
#23 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#24 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#25 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#26 0x00000036f2a213a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#27 0x00000036fa6fd12e in volumes_changed () from /usr/lib64/libgtk-x11-2.0.so.0
#28 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#29 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#30 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#31 0x00000036f2a21138 in g_signal_emit_by_name () from /lib64/libgobject-2.0.so.0
#32 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#33 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#34 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#35 0x00000036f2a21138 in g_signal_emit_by_name () from /lib64/libgobject-2.0.so.0
#36 0x00007fa47c6e224b in ?? () from /usr/lib64/gio/modules/libgioremote-volume-monitor.so
#37 0x00000036f163bd02 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#38 0x00000036f163fae8 in g_main_context_iterate () from /lib64/libglib-2.0.so.0
#39 0x00000036f163fff5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#40 0x00000036fa7493c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#41 0x0000000000402654 in main ()
Comment 5 Gilboa Davara 2010-06-08 05:43:39 EDT
... Took me 2 minutes to reproduce it again.

$ pstack $(pgrep evolution)
Thread 13 (Thread 0x7fa4a073e710 (LWP 10422)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 12 (Thread 0x7fa49fd3d710 (LWP 10423)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dda in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 11 (Thread 0x7fa479408710 (LWP 10454)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 10 (Thread 0x7fa46a891710 (LWP 10455)):
#0  0x00000036efe0b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f1617072 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#2  0x00000036f1617456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x000000370ae23dab in sync_request_thread_cb () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 9 (Thread 0x7fa469e90710 (LWP 10174)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 8 (Thread 0x7fa468a8e710 (LWP 10192)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 7 (Thread 0x7fa47a80a710 (LWP 10193)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 6 (Thread 0x7fa46948f710 (LWP 10194)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 5 (Thread 0x7fa478a07710 (LWP 10195)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 4 (Thread 0x7fa44ffff710 (LWP 10196)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 3 (Thread 0x7fa44f5fe710 (LWP 10200)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 2 (Thread 0x7fa44d194710 (LWP 10201)):
#0  0x00000036efe0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000036f2602382 in g_cond_timed_wait_posix_impl () from /lib64/libgthread-2.0.so.0
#2  0x00000036f16170b1 in g_async_queue_pop_intern_unlocked () from /lib64/libglib-2.0.so.0
#3  0x00000036f1666d81 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000036f1664e84 in g_thread_create_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000036efe07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036ef2e150d in clone () from /lib64/libc.so.6
Thread 1 (Thread 0x7fa4a8d00940 (LWP 10415)):
#0  0x00000036fa70ef4a in find_image_offset () from /usr/lib64/libgtk-x11-2.0.so.0
#1  0x00000036fa70f2a9 in _gtk_icon_cache_get_icon_flags () from /usr/lib64/libgtk-x11-2.0.so.0
#2  0x00000036fa7157ba in theme_dir_get_icon_suffix () from /usr/lib64/libgtk-x11-2.0.so.0
#3  0x00000036fa7161c3 in choose_icon () from /usr/lib64/libgtk-x11-2.0.so.0
#4  0x00000036fa717681 in gtk_icon_theme_lookup_by_gicon () from /usr/lib64/libgtk-x11-2.0.so.0
#5  0x00000036fa71761d in gtk_icon_theme_lookup_by_gicon () from /usr/lib64/libgtk-x11-2.0.so.0
#6  0x00000036fa6fa46a in get_pixbuf_from_gicon () from /usr/lib64/libgtk-x11-2.0.so.0
#7  0x00000036fa6fa7bc in _gtk_file_system_volume_render_icon () from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x00000036fa6e5e72 in shortcuts_insert_file () from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x00000036fa6ea5f5 in shortcuts_add_volumes () from /usr/lib64/libgtk-x11-2.0.so.0
#10 0x00000036fa6eaabc in volumes_bookmarks_changed_cb () from /usr/lib64/libgtk-x11-2.0.so.0
#11 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#12 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#13 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#14 0x00000036f2a213a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#15 0x00000036fa6fd12e in volumes_changed () from /usr/lib64/libgtk-x11-2.0.so.0
#16 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#17 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#18 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#19 0x00000036f2a21138 in g_signal_emit_by_name () from /lib64/libgobject-2.0.so.0
#20 0x00000036f2a0b98e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#21 0x00000036f2a1f947 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#22 0x00000036f2a20de6 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#23 0x00000036f2a21138 in g_signal_emit_by_name () from /lib64/libgobject-2.0.so.0
#24 0x00007fa47c6e224b in ?? () from /usr/lib64/gio/modules/libgioremote-volume-monitor.so
#25 0x00000036f163bd02 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#26 0x00000036f163fae8 in g_main_context_iterate () from /lib64/libglib-2.0.so.0
#27 0x00000036f163fff5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#28 0x00000036fa7493c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#29 0x0000000000402654 in main ()
Comment 6 Gilboa Davara 2010-06-08 05:45:34 EDT
If you want, I can start evolution under gdb and get nicer BT.

- Gilboa
Comment 7 Milan Crha 2010-06-09 03:34:17 EDT
I agree with matt, it doesn't seem to have much to do with evolution, except it may forget to free some file chooser properly or something. I see the main thread is blocked by:
> libgioremote-volume-monitor.so
which may explain it received some change on your remote volume's list and decided to do an update in your volumes bookmarks
> volumes_bookmarks_changed_cb
I guess you should be able to reproduce this even with gedit, when you keep the file chooser for a File->Open menu item opened.

What kind of file operation did you do in Evolution? Did you have any file chooser dialog opened when this happens?
Comment 8 Gilboa Davara 2010-06-09 04:22:50 EDT
The last two callstacks were generating while writing... and email.
As far as I remember the second email didn't include an attachment, so I doubt that I opened the file chooser.

- Gilboa
Comment 9 Gilboa Davara 2010-06-23 00:47:39 EDT
Created attachment 426160 [details]
GDB dump of evolution hang (w/ debuginfo)

Evolution hanged (completely) last night - while being completely idle.
May or may not be relevant to this BZ. (Please let me know if I should open a second BZ)
Comment 10 Milan Crha 2010-06-24 03:25:53 EDT
Thanks for the update. it contains all the debug symbols, showing it's the same issue as this bug, something in volumes_bookmarks_changed_cb call.
Comment 11 Gilboa Davara 2010-06-24 03:36:18 EDT
Good. Let me know if I can help in any way.
Comment 12 Bug Zapper 2011-06-02 07:57:41 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-27 13:34:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.